Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PreloadRequest Class Reference

`#include <coherence/util/processor/PreloadRequest.hpp>`

Inherits AbstractProcessor, and PortableObject.

List of all members.

## Detailed Description

PreloadRequest is a simple EntryProcessor that performs a InvocableMap::Entry::getValue() call.

No results are reported back to the caller.

The PreloadRequest process provides a means to "pre-load" an entry or a collection of entries into the cache using the cache's loader without incurring the cost of sending the value(s) over the network. If the corresponding entry (or entries) already exists in the cache, or if the cache does not have a loader, then invoking this EntryProcessor has no effect.

Author:
  tb 2008.04.28

## Public Types
typedef spec::Handle | Handle
| PreloadRequest Handle definition.
typedef spec::View | View
| PreloadRequest View definition.
typedef spec::Holder | Holder
| PreloadRequest Holder definition.
## Public Member Functions
virtual Object::Holder | process (InvocableMap::Entry::Handle hEntry) const
  | Process a Map::Entry object. Parameters:
  | hEntry | the Entry to process
Returns: the result of the processing, if any
virtual Map::View | processAll (Set::View vsetEntries) const
| {
virtual void | readExternal (PofReader::Handle hIn)
virtual void | writeExternal (PofWriter::Handle hOut) const
virtual bool | equals (Object::View v) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
## Protected Member Functions
| PreloadRequest ()
| Construct a PreloadRequest.

The documentation for this class was generated from the following file:

- coherence/util/processor/PreloadRequest.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.